Separate log action for deleting pages on move
Closed, ResolvedPublic

Description

Non-sysop users can delete the target of a page move under certain circumstances (basically when undoing an earlier move). Since T106119 this produces a deletion log entry. This is somewhat confusing, and also messes up admin action statistics. It would be good to use a separate log action for this so it can be differentiated from real deletion.

Tgr created this task.Sep 18 2016, 9:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2016, 9:40 PM
binbot added a subscriber: binbot.Sep 18 2016, 10:21 PM
Akeron added a subscriber: Akeron.Sep 19 2016, 12:52 PM

+1 This would be very useful for stats.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptOct 4 2016, 5:15 PM
Xqt added a subscriber: Xqt.Oct 13 2016, 3:47 AM

Such kind of 'autodelete' action would be great.

or delete_redir like move_redir

MGChecker claimed this task.Nov 9 2016, 7:57 PM

Change 320782 had a related patch set uploaded (by MGChecker):
Introduce separate log action for deleting pages on move

https://gerrit.wikimedia.org/r/320782

As a follow-up, this should be merged before releasing MW 1.28. This would preserve log_action consistency for redirect overwrites outside of WMF wikis.

Since the "delete_redir" log action will only be used when moving pages, the logging should be within "MovePage.php" rather than the "doDeleteArticleReal" function in "WikiPage.php". Also, as I have said in T151003, the overridden redirect should not be moved to the archive table, but instead permanently removed from the revision and text tables.

demon triaged this task as Normal priority.Nov 22 2016, 9:08 PM

Change 320782 merged by jenkins-bot:
Introduce separate log action for deleting pages on move

https://gerrit.wikimedia.org/r/320782

Change 323497 had a related patch set uploaded (by Chad):
Introduce separate log action for deleting pages on move

https://gerrit.wikimedia.org/r/323497

Change 323497 merged by jenkins-bot:
Introduce separate log action for deleting pages on move

https://gerrit.wikimedia.org/r/323497

demon closed this task as Resolved.Nov 25 2016, 4:05 AM